Subject: Re: [PATCH 1/3 V2] phy/micrel: Implement support for KSZ8021

From: Marek Vasut <[email-masked]>
Date: Fri, 21 Sep 2012 21:19:17 +0200

Dear David Miller,

> From: Marek Vasut <[email-masked]>
> Date: Fri, 21 Sep 2012 21:06:52 +0200
> 
> > You know, youth and all ... I was under the impression the patches shall
> > be checkpatch clean. But you got me there quite well, something must be
> > wrong with my precommit hook.
> 
> checkpatch is not a panacea, and it is in particular not an automaton
> that one uses without using any human judgement at all.
> 
> In particular, checkpatch does not enforce the comment style we use in
> the networking code nor several other conventions that we use which
> are slightly different from the rest of the tree.
> 
> Therefore strick checkpatch conformance is never appropriate.

Understood.

> > Anyway, about the checkpatch cleanup of the file, will that be
> > welcome (afterwards I fix the patchset and repost)?
> 
> See above, strict checkpatch cleanups, especially those done in
> a completely automaton style with zero human judgment involved,
> are not welcome.

I meant the .features field ... it seems that the | at the following line 
appears in other PHY drivers as well though. Lets leave it at that anyway.

Best regards,
Marek Vasut